# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.89"
name = "aprender-present-test-macros"
version = "0.41.0"
authors = ["Noah Gift <noah@paiml.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Proc macros for Presentar testing framework"
readme = "README.md"
license = "MIT"
repository = "https://github.com/paiml/aprender"

[lib]
name = "aprender_present_test_macros"
path = "src/lib.rs"
proc-macro = true

[[test]]
name = "macro_tests"
path = "tests/macro_tests.rs"

[dependencies.proc-macro2]
version = "1.0"

[dependencies.quote]
version = "1.0"

[dependencies.syn]
version = "2.0"
features = [
    "full",
    "parsing",
]
